import {getValidationMessagesCollection} from "../../../../../validation/validations";
import {ExerciseTestForBackend} from "../../../../../types/exerciseEditor";
import {getI18n} from "../../../../../../i18n/i18nRoot";
import globalState from "../../../../state";

export const validationMessageKeys = getValidationMessagesCollection<ExerciseTestForBackend>({
  id: '',
  content: '',
  displayName: getI18n(globalState.getState().i18nState.langId,'Field must not be empty or just whitespaces'),
  displayIndex: '',
  isSubmitTest: '',
  weight: '',
  files: '',
  testTypeId: getI18n(globalState.getState().i18nState.langId,'Invalid option, take other'),
  testSettings: '',
  thirdPartyJsonPayload: '',
})
